parameters:
    oro_entity.orm.hydrators:
        'Doctrine\ORM\Query::HYDRATE_OBJECT':
            name: ObjectHydrator
            class: Doctrine\ORM\Internal\Hydration\ObjectHydrator
            collection: true
        'Doctrine\ORM\Query::HYDRATE_ARRAY':
            name: ArrayHydrator
            class: Doctrine\ORM\Internal\Hydration\ArrayHydrator
            collection: true
        'Doctrine\ORM\Query::HYDRATE_SCALAR':
            name: ScalarHydrator
            class: Doctrine\ORM\Internal\Hydration\ScalarHydrator
            collection: true
        'Doctrine\ORM\Query::HYDRATE_SINGLE_SCALAR':
            name: SingleScalarHydrator
            class: Doctrine\ORM\Internal\Hydration\SingleScalarHydrator
            collection: false
        'Doctrine\ORM\Query::HYDRATE_SIMPLEOBJECT':
            name: SimpleObjectHydrator
            class: Doctrine\ORM\Internal\Hydration\SimpleObjectHydrator
            collection: true
        'Gedmo\Translatable\Query\TreeWalker\TranslationWalker::HYDRATE_OBJECT_TRANSLATION':
            name: TranslatableObjectHydrator
            class: Gedmo\Translatable\Hydrator\ORM\ObjectHydrator
            collection: true
        'Gedmo\Translatable\Query\TreeWalker\TranslationWalker::HYDRATE_SIMPLE_OBJECT_TRANSLATION':
            name: TranslatableSimpleObjectHydrator
            class: Gedmo\Translatable\Hydrator\ORM\SimpleObjectHydrator
            collection: true

services:
    oro_entity.profiler.orm_data_collector:
        public: false
        class: Oro\Bundle\EntityBundle\DataCollector\OrmDataCollector
        tags:
            - { name: data_collector, template: '@OroEntity/Collector/orm.html.twig', id: orm }

    oro_entity.profiler.duplicate_queries_data_collector:
        public: false
        class: Oro\Bundle\EntityBundle\DataCollector\DuplicateQueriesDataCollector
        tags:
            - { name: data_collector, template: '@OroEntity/Collector/duplicate_queries.html.twig', id: duplicate_queries }
